curl --request GET \
--url https://int-data.moneydesktop.com/notifications/{notification_guid} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/notifications/{notification_guid}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/notifications/{notification_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notification": {
"created_on": "2022-04-01T12:58:08.000Z",
"deep_link_guid": "BGT-e386a323-e452-47f2-b2fd-1ac3c18533de",
"entity_guid": "BGT-e386a323-e452-47f2-b2fd-1ac3c18533de",
"guid": "TF-b53294f5-2356-4782-9f81-ae064c42b40a",
"has_been_viewed": false,
"notification_type": 2,
"notification_type_name": "BUDGET_OFF_TARGET",
"subject": "You're projected to spend $1,920.07 more than you've budgeted for Fees & Charges. You've already spent $65.67 of $316.00.",
"threshold": null
}
}Read notification
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for notifications. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
Date the notification was created, as provided by our data feed. Represented in ISO 8601 format (e.g. 2011-03-28).
"2022-04-01T12:58:08.000Z"
The unique identifier for objects that directly trigger a notification. EX: TRANSACTION_FEE_CHARGE and TRANSACTION_EXPENSE_LARGE notification types will have a transaction guid in this field.
"BGT-e386a323-e452-47f2-b2fd-1ac3c18533de"
The unique identifier of the entity that the notification is attached to.
"BGT-e386a323-e452-47f2-b2fd-1ac3c18533de"
Unique identifier for the notification. Defined by MX.
"TF-b53294f5-2356-4782-9f81-ae064c42b40a"
If the notification has been viewed, this field will be true. Otherwise, this field will be false.
false
Specific type of notification being sent. See notification types for more information.
2
The name of the notification type. See notification types for more information.
"BUDGET_OFF_TARGET"
The notification summary text. Usually the same text used for "in-app" or SMS deliverables.
"You're projected to spend $1,920.07 more than you've budgeted for Fees & Charges. You've already spent $65.67 of $316.00."
The amount that needs to be succeeded before the user receives the notification.
null

